clear screen

connect bfile/bfile

set termout on
set feed on
set lines 40
set long 10000000
set serveroutput on
set echo on

clear screen
----------------------------------------------------------

-- Using dbms_xslprocessor.clob2file
 
----------------------------------------------------------

drop directory STORE;

CREATE directory store AS 'C:\UKOUG-2008\XML';

declare
 rc sys_refcursor;
 BEGIN
   open rc FOR 
     SELECT * FROM 
     ( SELECT rownum FROM dual connect BY level < 25 );
 dbms_xslprocessor.clob2file( xmltype( rc ).getclobval( ) , 'STORE','anton.xml');
 END;
/ 


SELECT extract((XMLTYPE(bfilename('XMLSTORE','anton.xml'),NLS_CHARSET_ID('AL32UTF8'))),'*') AS "XML"
from   dual;
 
pause

clear screen

----------------------------------------------------------

-- Using DBMS_XMLDOM.WRITETOFILE
 
----------------------------------------------------------


declare
	rc sys_refcursor;
	doc DBMS_XMLDOM.DOMDocument;
begin
   open rc for 
      select * from 
        ( select rownum from dual connect by level < 25 );
      doc := DBMS_XMLDOM.NewDOMDocument(xmltype( rc ));
      DBMS_XMLDOM.WRITETOFILE(doc, 'STORE/marco.xml');
end;
/ 

SELECT extract((XMLTYPE(bfilename('XMLSTORE','marco.xml'),NLS_CHARSET_ID('AL32UTF8'))),'*') AS "XML"
from   dual;
